Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664842 - dev-libs/cyrus-sasl-2.1.26-r11 : * Failed to generate sasldb2
Summary: dev-libs/cyrus-sasl-2.1.26-r11 : * Failed to generate sasldb2
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-29 17:48 UTC by Toralf Förster
Modified: 2019-03-26 20:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.54 KB, text/plain)
2018-08-29 17:48 UTC, Toralf Förster
Details
dev-libs:cyrus-sasl-2.1.26-r11:20180829-092132.log (dev-libs:cyrus-sasl-2.1.26-r11:20180829-092132.log,305.45 KB, text/plain)
2018-08-29 17:48 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,254.99 KB, text/plain)
2018-08-29 17:48 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,22.51 KB, application/x-bzip)
2018-08-29 17:48 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-08-29 17:48:31 UTC
 * ERROR: dev-libs/cyrus-sasl-2.1.26-r11::gentoo failed (postinst phase):
 *   Failed to generate sasldb2
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-no-multilib-hardened_test_20180820-192742

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)




emerge -qpv dev-libs/cyrus-sasl
[ebuild   R   ] dev-libs/cyrus-sasl-2.1.26-r11  USE="berkdb pam ssl -authdaemond -gdbm -java -kerberos -ldapdb -libressl -mysql -openldap -postgres -sample (-selinux) -sqlite -srp -static-libs -urandom" 

!!! The following installed packages are masked:
- net-analyzer/check_mk-1.2.8_p16::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Michał Górny <mgorny@gentoo.org> (26 Aug 2018)
# mod_python removal caused it to be reduced to agent-only, which is
# apparently redundant to net-analyzer/check_mk_agent.  The package
# is unmaintained and potentially vulnerable.  Bug #632648.
# Removal in 30 days.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-08-29 17:48:33 UTC
Created attachment 545458 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-08-29 17:48:36 UTC
Created attachment 545460 [details]
dev-libs:cyrus-sasl-2.1.26-r11:20180829-092132.log
Comment 3 Toralf Förster gentoo-dev 2018-08-29 17:48:39 UTC
Created attachment 545462 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-08-29 17:48:42 UTC
Created attachment 545464 [details]
etc.portage.tbz2
Comment 5 Justin Bronder (RETIRED) gentoo-dev 2019-03-11 17:08:00 UTC
Same issue with the currently stable 2.1.26-r10.  Trying out the relevant line from pkg_postinst ("${ROOT}/usr/sbin/saslpasswd2" -f "${ROOT}/etc/sasl2/sasldb2" -p login) yields:


call implies an access method which is inconsistent with previous calls
DB->cursor: method not permitted before handle's open method
call implies an access method which is inconsistent with previous calls
DB->cursor: method not permitted before handle's open method
saslpasswd2: generic failure


This is with the berkdb USE flag enabled and sys-libs/db-5.3.28-r2